Index: GUIMusic/GUIMusicBaseWindow.cs
===================================================================
--- GUIMusic/GUIMusicBaseWindow.cs	(revision 26774)
+++ GUIMusic/GUIMusicBaseWindow.cs	(working copy)
@@ -634,39 +634,51 @@
       switch (CurrentSortMethod)
       {
         case MusicSort.SortMethod.Name:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(103);
           break;
         case MusicSort.SortMethod.Date:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(104);
           break;
         case MusicSort.SortMethod.Year:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(104); // Also display Date for Year
           break;
         case MusicSort.SortMethod.Size:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(105);
           break;
         case MusicSort.SortMethod.Track:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(266);
           break;
         case MusicSort.SortMethod.Duration:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(267);
           break;
         case MusicSort.SortMethod.Title:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(268);
           break;
         case MusicSort.SortMethod.Artist:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(269);
           break;
         case MusicSort.SortMethod.Album:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(270);
           break;
         case MusicSort.SortMethod.Filename:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(363);
           break;
         case MusicSort.SortMethod.Rating:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(367);
           break;
         case MusicSort.SortMethod.AlbumArtist:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(269); // Also display Artist for AlbumArtist
           break;
       }
Index: GUIPictures/GUIPictures.cs
===================================================================
--- GUIPictures/GUIPictures.cs	(revision 26774)
+++ GUIPictures/GUIPictures.cs	(working copy)
@@ -957,12 +957,15 @@
       switch (method)
       {
         case SortMethod.Name:
+          facadeView.FirstLetterScroll = true;
           textLine = GUILocalizeStrings.Get(103);
           break;
         case SortMethod.Date:
+          facadeView.FirstLetterScroll = false;
           textLine = GUILocalizeStrings.Get(104);
           break;
         case SortMethod.Size:
+          facadeView.FirstLetterScroll = false;
           textLine = GUILocalizeStrings.Get(105);
           break;
       }
Index: GUIVideoFiles/GUIVideoBaseWindow.cs
===================================================================
--- GUIVideoFiles/GUIVideoBaseWindow.cs	(revision 26774)
+++ GUIVideoFiles/GUIVideoBaseWindow.cs	(working copy)
@@ -568,24 +568,31 @@
       switch (CurrentSortMethod)
       {
         case VideoSort.SortMethod.Name:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(365);
           break;
         case VideoSort.SortMethod.Date:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(104);
           break;
         case VideoSort.SortMethod.Size:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(105);
           break;
         case VideoSort.SortMethod.Year:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(366);
           break;
         case VideoSort.SortMethod.Rating:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(367);
           break;
         case VideoSort.SortMethod.Label:
+          facadeView.FirstLetterScroll = true;
           strLine = GUILocalizeStrings.Get(430);
           break;
         case VideoSort.SortMethod.Unwatched:
+          facadeView.FirstLetterScroll = false;
           strLine = GUILocalizeStrings.Get(527);
           break;
       }
